## GtkBinLayout GtkBinLayout — A layout manager for bin-like widgets |

## Functions

GtkLayoutManager * | gtk_bin_layout_new ()

## Types and Values

| GtkBinLayout

## Object Hierarchy

        GObject
        ╰── GtkLayoutManager
            ╰── GtkBinLayout

## Includes

    #include <gtk/gtk.h>

## Description

GtkBinLayout is a GtkLayoutManager subclass useful for create "bins" of widgets. GtkBinLayout will stack each child of a widget on top of each other, using the “hexpand”, “vexpand”, “halign”, and “valign” properties of each child to determine where they should be positioned.

## Functions

### gtk_bin_layout_new ()

    GtkLayoutManager *
    gtk_bin_layout_new (void);

Creates a new GtkBinLayout instance.

#### Returns

the newly created GtkBinLayout

## Types and Values

### GtkBinLayout

    typedef struct _GtkBinLayout GtkBinLayout;